Subject: Re: [PATCH net-next v4 0/9] Create common DPLL configuration API

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Aug 2023 14:03:04 -0700

On Fri, 18 Aug 2023 10:15:34 +0000 Kubalewski, Arkadiusz wrote:
> HW agnostic tests were submitted by Michal as RFC for test framework
> with fake modules implemented here:
> https://lore.kernel.org/netdev/[email-masked]/#t
> We had an agreement on latest dpll-meeting that we will follow up with
> patches that would test dpll over fake modules, and we have started it.
> As there was no requests to add HW-aware tests yet, we are not ready for
> such submission yet. We could probably extended Michal's framework to
> make it possible test real HW, but Michal's patches were just submitted,
> we do expect some review/changes there, thus we could think of adding
> something simpler for now..
> 
> Is simple bash script wrapping around cli.py and talking to ice dpll
> while verifying the outputs, an acceptable solution?

Okay, it is what it is, let's leave tests as follow up.

I'll reply to Michal on the RFC thread/

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel